function  isin = isinpolyz(zs,zpoly)
% function  isin = isinpolyz(zs,zpoly)
%           coordinates zs are inside or outside of
%           a polygon with vertices zpoly (both complex x+iy).
%           Returns matrix ISIN of the same size as zs
%           with 0 for points outside a polygon, 1 for
%           inside points and  0.5 for points belonging
%           to a polygon zp itself.

 % Handle input ::::::::::::::::::::::::::::::::
if nargin<2
  error('not enough input arguments')
end

isin = isinpoly( real(zs),imag(zs),real(zpoly),imag(zpoly) );
