function varargout = zarrow(zstart,zstop,varargin)
%  function varargout = zarrow(zstart,zstop,varargin)
%  Draw a two-head arrow on the current axes. Based on the matlab 
%  'annotation' function. So arrows will not move if the
%  figure is re-sized. Uses the dsxy2figxy.m function from
%  http://www.mathworks.com/access/helpdesk/help/techdoc/creating_plots/
%  inputs:
%    zstart,zstop are the beginning and end points of the arrow (x + iy)
%       in the units of the current coordinate system
%    varargin: arguments passed to the annotation function
%  outputs:
%     (optional) arguments returned by annotation
%  REA 7/27/07
%  Copyright  Aprend Technology 2007


nreqargs = 2;
assert(nargin>=nreqargs);

zs = [zstart zstop];

[arrowx,arrowy] = dsxy2figxy(gca, real(zs), imag(zs));

if nargout
    varargout{1:nargout} = annotation('doublearrow',arrowx,arrowy,varargin{:});
else
    annotation('doublearrow',arrowx,arrowy,varargin{:});
end

