function zcorners4 = zrange2(zs)
%  function zcorners4 = zrange2(zs)
%  Finds the 4 corners of a box spanning the x,y values in zs
%    inputs:
%      zs: a complex array of points x+iy, can be 2D
%    outputs:
%      zcorners4: the 4 corners of the bounding box starting at the lower right counter-clockwise
%      z4  z3
%      z1 z2
%  For functions such as ExtractRoi, the bounding corners are [z4,z2]
%  REA 4/28/09

[mnx,mxx] = range2(real(zs));
[mny,mxy] = range2(imag(zs));
zcorners4 = zeros(4,1);
zcorners4(1) = mnx + 1i*mny;
zcorners4(2) = mxx + 1i*mny;
zcorners4(3) = mxx + 1i*mxy;
zcorners4(4) = mnx + 1i*mxy;